#!/usr/interp/perl -w

# <STDIN> IN LIST CONTEXT
# By Louis Ziantz

# Description: This program is a demonstration of reading
#              from STDIN into an array.
# Procedure:   Several lines are read from input and
#             the array is output several ways.
# Input:       Lines of text from STDIN.
# Output:      Array read from STDIN in several ways.

print("This script changes the contents of the file entered\n");
print("making all letters uppercase.\n");
print("Enter a file name to be upcased: ");
chomp($file = <STDIN>);


# can't use +> because contents would be erased before we did
# anything with them
open(INOUTFILE, "+<$file") or die("Cannot open $file for modification: $!\n");

@in_array = <INOUTFILE>;

for($i=0; $i < @in_array; $i++) {
    $in_array[$i] = "\U$in_array[$i]";
}


# seek(FILEHANDLE, OFFSET, WHENCE) 
# (OFFSET in bytes; WHENCE=0 means relative to beginning of file)
# positions file pointer back at start of INOUTFILE
seek(INOUTFILE, 0, 0);

print INOUTFILE (@in_array);

close(INOUTFILE) or die("Cannot close $file : $!\n");


